#add to placement score
scoreboard players add #min placement 1

# leave and rejoin so the prefix doesn't show
team leave @s

#announce finish

execute if score finished stats matches 1 run scoreboard players operation old ticks = timer ticks
execute if score finished stats matches 1 run scoreboard players operation timer ticks = fastest ticks
execute if score finished stats matches 1 run scoreboard players add timer ticks 600
execute if score finished stats matches 1 run scoreboard players operation timer ticks -= old ticks

execute if score finished stats matches 1 run scoreboard players operation milliseconds ticks = timer ticks
execute if score finished stats matches 1 run scoreboard players operation milliseconds ticks *= 5 value
execute if score finished stats matches 1 run scoreboard players operation milliseconds ticks %= 100 value
execute if score finished stats matches 1 run scoreboard players operation timer seconds = timer ticks
execute if score finished stats matches 1 run scoreboard players operation timer seconds /= 20 value
execute if score finished stats matches 1 run scoreboard players operation timer minutes = timer seconds
execute if score finished stats matches 1 run scoreboard players operation timer seconds %= 60 value
execute if score finished stats matches 1 run scoreboard players operation timer minutes /= 60 value

execute if score @s placement matches 1 run tellraw @a ["",{"selector":"@s","color":"green"},{"text":" finished in ","color":"green"},{"text":"1st","bold":true,"color":"#FFD700"},{"text":" [","color":"green"},{"score":{"name":"timer","objective":"minutes"},"color":"yellow"},{"text":"m, ","color":"gold"},{"score":{"name":"timer","objective":"seconds"},"color":"yellow"},{"text":"s, ","color":"gold"},{"score":{"name":"milliseconds","objective":"ticks"},"color":"yellow"},{"text":"0","color":"yellow"},{"text":"ms","color":"gold"},{"text":"]","color":"green"}]
execute if score @s placement matches 2 run tellraw @a ["",{"selector":"@s","color":"green"},{"text":" finished in ","color":"green"},{"text":"2nd","bold":true,"color":"#C9C0BB"},{"text":" [","color":"green"},{"score":{"name":"timer","objective":"minutes"},"color":"yellow"},{"text":"m, ","color":"gold"},{"score":{"name":"timer","objective":"seconds"},"color":"yellow"},{"text":"s, ","color":"gold"},{"score":{"name":"milliseconds","objective":"ticks"},"color":"yellow"},{"text":"0","color":"yellow"},{"text":"ms","color":"gold"},{"text":"]","color":"green"}]
execute if score @s placement matches 3 run tellraw @a ["",{"selector":"@s","color":"green"},{"text":" finished in ","color":"green"},{"text":"3rd","bold":true,"color":"#cd7f32"},{"text":" [","color":"green"},{"score":{"name":"timer","objective":"minutes"},"color":"yellow"},{"text":"m, ","color":"gold"},{"score":{"name":"timer","objective":"seconds"},"color":"yellow"},{"text":"s, ","color":"gold"},{"score":{"name":"milliseconds","objective":"ticks"},"color":"yellow"},{"text":"0","color":"yellow"},{"text":"ms","color":"gold"},{"text":"]","color":"green"}]
execute if score @s placement matches 4.. run tellraw @a ["",{"selector":"@s","color":"green"},{"text":" finished in ","color":"green"},{"score":{"name": "@s","objective": "placement"},"color":"green"},{"text":"th","bold":true,"color":"dark_green"},{"text":" [","color":"green"},{"score":{"name":"timer","objective":"minutes"},"color":"yellow"},{"text":"m, ","color":"gold"},{"score":{"name":"timer","objective":"seconds"},"color":"yellow"},{"text":"s, ","color":"gold"},{"score":{"name":"milliseconds","objective":"ticks"},"color":"yellow"},{"text":"0","color":"yellow"},{"text":"ms","color":"gold"},{"text":"]","color":"green"}]

execute if score finished stats matches 1 run scoreboard players operation timer ticks = old ticks

function sette:mechanic/placing/join_team

# start 30 second timer
execute if score finished stats matches 0 run title @a subtitle {"text":"30 seconds remaining!","color":"dark_red"}
execute if score finished stats matches 0 run title @a title ""
execute if score finished stats matches 0 run scoreboard players operation fastest ticks = timer ticks
execute if score finished stats matches 0 run scoreboard players set timer ticks 600
execute if score finished stats matches 0 run scoreboard players set finished stats 1

#effects
gamemode spectator @s
execute at @s run tp @s ~ ~10 ~

execute at @s run summon firework_rocket ~-5 ~ ~1 {LifeTime:10,FireworksItem:{id:"firework_rocket",Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1b,Colors:[I;9502497,16775219]}]}}}}
execute at @s run summon firework_rocket ~5 ~ ~5 {LifeTime:30,FireworksItem:{id:"firework_rocket",Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1b,Colors:[I;16759073,15820040]}]}}}}
execute at @s run summon firework_rocket ~ ~ ~-3 {LifeTime:50,FireworksItem:{id:"firework_rocket",Count:1,tag:{Fireworks:{Explosions:[{Type:1,Trail:1b,Colors:[I;1212634,14688640]}]}}}}

execute at @s run playsound entity.firework_rocket.large_blast master @a ~ ~ ~ 3 1
execute at @s run playsound entity.player.levelup master @s ~ ~ ~ 3 1

execute if score @s rider matches 1 run tag @e[type=horse,tag=1] add dead
execute if score @s rider matches 2 run tag @e[type=horse,tag=2] add dead
execute if score @s rider matches 3 run tag @e[type=horse,tag=3] add dead
execute if score @s rider matches 4 run tag @e[type=horse,tag=4] add dead
execute if score @s rider matches 5 run tag @e[type=horse,tag=5] add dead
execute if score @s rider matches 6 run tag @e[type=horse,tag=6] add dead
execute if score @s rider matches 7 run tag @e[type=horse,tag=7] add dead
execute if score @s rider matches 8 run tag @e[type=horse,tag=8] add dead
execute if score @s rider matches 9 run tag @e[type=horse,tag=9] add dead
execute if score @s rider matches 10 run tag @e[type=horse,tag=10] add dead
execute if score @s rider matches 11 run tag @e[type=horse,tag=11] add dead

scoreboard players set @s rider 0

tag @s add finished